<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up()
    {
        Schema::table('bookings', function (Blueprint $table) {
            $table->integer('dp')->nullable()->after('total_harga');
            $table->text('keterangan')->nullable()->after('status');
            $table->string('bukti_transfer')->nullable()->after('keterangan');
        });
    }

    public function down()
    {
        Schema::table('bookings', function (Blueprint $table) {
            $table->dropColumn(['dp', 'keterangan', 'bukti_transfer']);
        });
    }
};
